Bug 1599424 - Lilypond syntax files for vim not in vim81 folder
Summary: Lilypond syntax files for vim not in vim81 folder
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lilypond
Version: 28
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-09 18:39 UTC by Andrew Cashner
Modified: 2018-08-08 16:09 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-08-08 15:35:31 UTC


Attachments (Terms of Use)

Description Andrew Cashner 2018-07-09 18:39:03 UTC
Description of problem:
There is no syntax highlighting for Lilypond in Vim 8.1 The vim syntax file `lilypond.vim` is in `/usr/share/vim/vim80`, not in `/usr/share/vim/vim81`. I don't know if this is a problem of the lilypond package or the vim-enhanced package.

Version-Release number of selected component (if applicable):
Lilypond 2.19.81
Vim 8.1

How reproducible:
    
Try to edit a .ly Lilypond file in Vim 8.1 on Fedora 28.

Steps to Reproduce:
1. Install vim-enhanced and lilypond with dnf on Fedora 28.
2. `vim example.ly`

Actual results:
No highlighting.

Expected results:
Highlighting.

Comment 1 Fedora Update System 2018-07-30 16:22:07 UTC
lilypond-2.19.82-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ece07aad79

Comment 2 Fedora Update System 2018-07-30 16:22:15 UTC
lilypond-2.19.82-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f005d2d82f

Comment 3 Fedora Update System 2018-07-31 15:25:01 UTC
lilypond-2.19.82-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f005d2d82f

Comment 4 Fedora Update System 2018-07-31 18:32:39 UTC
lilypond-2.19.82-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ece07aad79

Comment 5 Fedora Update System 2018-08-08 15:35:31 UTC
lilypond-2.19.82-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2018-08-08 16:09:52 UTC
lilypond-2.19.82-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.